# CvSVMParams Struct Reference

`#include <ml.hpp>`

List of all members.

## Public Member Functions

| CvSVMParams ()
| CvSVMParams (int _svm_type, int _kernel_type, double _degree, double _gamma, double _coef0, double Cvalue, double _nu, double _p, CvMat *_class_weights, CvTermCriteria _term_crit)

## Public Attributes

CV_PROP_RW double | C
CvMat * | class_weights
CV_PROP_RW double | coef0
CV_PROP_RW double | degree
CV_PROP_RW double | gamma
CV_PROP_RW int | kernel_type
CV_PROP_RW double | nu
CV_PROP_RW double | p
CV_PROP_RW int | svm_type
CV_PROP_RW CvTermCriteria | term_crit

## Constructor & Destructor Documentation

CvSVMParams::CvSVMParams | ( | ) |

CvSVMParams::CvSVMParams | ( | int | _svm_type,
|  | int | _kernel_type,
|  | double | _degree,
|  | double | _gamma,
|  | double | _coef0,
|  | double | Cvalue,
|  | double | _nu,
|  | double | _p,
|  | CvMat * | _class_weights,
|  | CvTermCriteria | _term_crit
| ) |  |

## Member Data Documentation

CV_PROP_RW double CvSVMParams::C

CvMat* CvSVMParams::class_weights

CV_PROP_RW double CvSVMParams::coef0

CV_PROP_RW double CvSVMParams::degree

CV_PROP_RW double CvSVMParams::gamma

CV_PROP_RW int CvSVMParams::kernel_type

CV_PROP_RW double CvSVMParams::nu

CV_PROP_RW double CvSVMParams::p

CV_PROP_RW int CvSVMParams::svm_type

CV_PROP_RW CvTermCriteria CvSVMParams::term_crit

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines